Subject: Re: [Bitcoin-development] Stealth Addresses

From: Gregory Maxwell <[email-masked]>
Date: Fri, 17 Jan 2014 21:09:42 -0800

On Fri, Jan 17, 2014 at 8:55 PM, Alan Reiner <[email-masked]> wrote:
> Isn't there a much faster asymmetric scheme that we can use?  I've heard people talk about ed25519, though I'm not sure it can be used for encryption.

Doing ECDH with our curve is within a factor of ~2 of the fastest
encryption available at this security level, AFAIK.  And separate
encryption would ~double the amount of data vs using the ephemeral key
for derivation.

Using another cryptosystem would mandate carry around additional code
for a fast implementation of that cryptosystem, which wouldn't be
fantastic.

So I'm not sure much can be improved there.